/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling';

.download {
  display: flex;
  align-items: flex-end;

  @include respond(laptop) {
    gap: 10px;
    /* padding-left: 80px; */
  }

  .download-btn--mobile {
    width: 30px;
    height: 30px;
    background: rgba(0, 0, 0, 0.3);
    border: 1px solid #ffffff;
    box-shadow: 0 1px 6px rgba(0, 1, 1, 0.17);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    @include respond(tablet) {
      display: none;
    }
  }

  .proposal--btn,
  .agreement--btn {
    display: none;

    @include respond(tablet) {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      padding: 10px 14px;
      gap: 10px;
      background: rgba(0, 0, 0, 0.3);
      border: 1px solid #ffffff;
      box-shadow: 0 1px 6px rgba(0, 1, 1, 0.17);
      border-radius: 6px;
      margin: 0 10px;

      span {
        font-family: 'Rubik', sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 14px;
        line-height: 16px;
        text-align: center;
        color: #ffffff;
      }
    }
  }
}
